using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight;
using System.Xml.Linq;

namespace C1_Demo
{
    public partial class TileListBoxDemo : UserControl
    {
        public TileListBoxDemo()
        {
            InitializeComponent();

            DataContext = Person.Generate(100);
        }

        #region ** public properties

        public Orientation Orientation
        {
            get
            {
                return listBox.Orientation;
            }
            set
            {
                listBox.Orientation = value;
            }
        }

        public double ItemWidth
        {
            get
            {
                return listBox.ItemWidth;
            }
            set
            {
                listBox.ItemWidth = value;
            }
        }

        public double ItemHeight
        {
            get
            {
                return listBox.ItemHeight;
            }
            set
            {
                listBox.ItemHeight = value;
            }
        }

        public ZoomMode ZoomMode
        {
            get
            {
                return listBox.ZoomMode;
            }
            set
            {
                listBox.ZoomMode = value;
            }
        }

        public ScrollBarVisibility HorizontalScrollBarVisibility
        {
            get
            {
                return listBox.HorizontalScrollBarVisibility;
            }
            set
            {
                listBox.HorizontalScrollBarVisibility = value;
            }
        }

        public ScrollBarVisibility VerticalScrollBarVisibility
        {
            get
            {
                return listBox.VerticalScrollBarVisibility;
            }
            set
            {
                listBox.VerticalScrollBarVisibility = value;
            }
        }
        
        #endregion
    }
}
